import React from 'react';
import { TabsProps, TabListProps, TabProps, TabPanelProps, TabsOrientation } from '@reach/tabs';
export interface ITabContextProps {
    /**
     * Defines the orientation of the tabs
     */
    orientation: TabsOrientation;
}
export declare const TabContext: React.Context<ITabContextProps>;
declare const Tabs: import("@reach/utils").ForwardRefExoticComponentWithAs<"div", TabsProps>;
export default Tabs;
export interface ITabListProps extends TabListProps {
}
export declare const TabList: import("@reach/utils").ForwardRefExoticComponentWithAs<"div", ITabListProps>;
export interface ITabProps extends TabProps {
    /**
     * Defines the min width of the Tab - it should be tailwind width class
     */
    minWidth?: string;
    /**
     * Defines the appearnace of the Tab
     */
    className?: string;
    /**
     * Defines the aligment of the Tab children
     */
    align?: string;
}
export declare const alignStyles: Record<string, string>;
export declare const Tab: import("@reach/utils").ForwardRefExoticComponentWithAs<"button", ITabProps>;
export declare const TabPanels: import("@reach/utils").ForwardRefExoticComponentWithAs<"div", TabListProps>;
export declare const TabPanel: import("@reach/utils").ForwardRefExoticComponentWithAs<"div", TabPanelProps>;
//# sourceMappingURL=Tabs.d.ts.map